Deployments.ai Docs
Memory

Grant an agent access to a memory space

POST /v1/memory-space-grants · SDK createMemorySpaceGrant · CLI deployments memory-space-grant create

POST
/v1/memory-space-grants

Requires memory:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
agentDefinitionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
memorySpaceId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
permission*string
Value in"read""read-write"

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X POST "https://example.com/v1/memory-space-grants" \  -H "Content-Type: application/json" \  -d '{    "agentDefinitionId": "string",    "memorySpaceId": "string",    "permission": "read"  }'
{}